# Package pyglet

pyglet is a cross-platform games and multimedia package.

Detailed documentation is available at http://www.pyglet.org

## Submodules

| pyglet.app Application-wide functionality.
| pyglet.clock Precise framerate calculation, scheduling and framerate limiting.
| pyglet.event Event dispatch framework.
| pyglet.font Load fonts and render text.
| pyglet.font.base Abstract classes used by pyglet.font implementations.
| pyglet.gl OpenGL and GLU interface.
| pyglet.gl.gl_info Information about version and extensions of current GL implementation.
| pyglet.gl.glu_info Information about version and extensions of current GLU implementation.
| pyglet.graphics Low-level graphics rendering.
| pyglet.graphics.allocation Memory allocation algorithm for vertex arrays and buffers.
| pyglet.graphics.vertexattribute Access byte arrays as arrays of vertex attributes.
| pyglet.graphics.vertexbuffer Byte abstractions of Vertex Buffer Objects and vertex arrays.
| pyglet.graphics.vertexdomain Manage related vertex attributes within a single vertex domain.
| pyglet.image Image load, capture and high-level texture functions.
| pyglet.image.atlas Group multiple small images into larger textures.
| pyglet.info Get environment information useful for debugging.
| pyglet.media Audio and video playback.
| pyglet.resource Load application resources from a known path.
| pyglet.sprite Display positioned, scaled and rotated images.
| pyglet.text Text formatting, layout and display.
| pyglet.text.caret Provides keyboard and mouse editing procedures for text layout.
| pyglet.text.document Formatted and unformatted document interfaces used by text layout.
| pyglet.text.formats Document formats.
| pyglet.text.formats.attributed Extensible attributed text format for representing pyglet formatted documents.
| pyglet.text.formats.html Decode HTML into attributed text.
| pyglet.text.formats.plaintext Plain text decoder.
| pyglet.text.formats.structured Base class for structured (hierarchical) document formats.
| pyglet.text.layout Render simple text and formatted documents efficiently.
| pyglet.text.runlist Run list encoding utilities.
| pyglet.window Windowing and user-interface events.
| pyglet.window.event Events for pyglet.window.
| pyglet.window.key Key constants and utilities for pyglet.window.
| pyglet.window.mouse Mouse constants and utilities for pyglet.window.

## Variables

| __package__ = ``'``pyglet``'``
| options = ``{``'``audio``'``:` `(``'``directsound``'``,` `'``openal``'``,` `'``alsa``'``,` `'``silent``'``...``
| version = ``'``1.1.4``'``

## Variables Details

### options

Value:

      {'audio': ('directsound', 'openal', 'alsa', 'silent'),
       'debug_font': False,
       'debug_gl': True,
       'debug_gl_trace': False,
       'debug_gl_trace_args': False,
       'debug_graphics_batch': False,
       'debug_lib': False,
       'debug_media': False,
      ...